using UnityEngine;

[CreateAssetMenu(fileName = "EnemyAttributes", menuName = "Enemy Attributes")]
public class EnemyAttributesSO : ScriptableObject
{
    [SerializeField] private Attribute STR;
    [SerializeField] private Attribute CON;
    [SerializeField] private Attribute SPD;
    [SerializeField] private Attribute RNG;
    [SerializeField] private Attribute MND;

    public static EnemyAttributesSO New()
    {
        return ScriptableObject.CreateInstance<EnemyAttributesSO>();
    }
}
